%global modulename configstore

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-configstore
Version:        3.1.2
Release:        1%{?dist}
Summary:        Easily load and save config without having to think about where and how

License:        BSD
URL:            https://github.com/yeoman/configstore#readme
Source0:        https://registry.npmjs.org/configstore/-/configstore-3.1.2.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(dot-prop) >= 4.1.0 with npmlib(dot-prop) < 5.0.0))
BuildRequires:  ((npmlib(graceful-fs) >= 4.1.2 with npmlib(graceful-fs) < 5.0.0))
BuildRequires:  ((npmlib(make-dir) >= 1.0.0 with npmlib(make-dir) < 2.0.0))
BuildRequires:  ((npmlib(unique-string) >= 1.0.0 with npmlib(unique-string) < 2.0.0))
BuildRequires:  ((npmlib(write-file-atomic) >= 2.0.0 with npmlib(write-file-atomic) < 3.0.0))
BuildRequires:  ((npmlib(xdg-basedir) >= 3.0.0 with npmlib(xdg-basedir) < 4.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Easily load and save config without having to think about where and how

%package 3.1.2
Summary:        Easily load and save config without having to think about where and how


%description 3.1.2
Easily load and save config without having to think about where and how

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc readme.md
%license license
%{nodejs_dir}/%{modulename}

%files 3.1.2
%doc readme.md
%license license
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 3.1.2-1
- Package automatically generated by npm2srpm
